#!/bin/sh

# Rebuild the rpm database first.
echo "Rebuilding rpm database (just in case)"
rpm --rebuilddb

# now install the kernel module
echo "Installing Kernel module"
rpm -Uvh psb-kmd* --force

#Install the DRM libraries
echo "Installing Libraries"
rpm -Uvh libdrm*.rpm --force

#Install libva/libgl
rpm -Uvh libva*.rpm --force
rpm -Uvh libgl*.rpm --force

#Install video driver
echo "Installing Video Driver"
rpm -Uvh psb-video*.rpm --force

#install Xserver drivers
#need to force install to overwrite libexa.so
#from xorg base package
echo "Installing Xserver components"
rpm -Uvh xorg-modules*.rpm --force
rpm -Uvh xserver-xorg*.rpm --force

